Bug 46893

Summary: mod_jk statically compiled always outputs warning regarding shm size specification
Product: Tomcat Connectors Reporter: Andre Cruz <andre>
Component: mod_jkAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 1.2.27   
Target Milestone: ---   
Hardware: PC   
OS: Linux   

Description Andre Cruz 2009-03-23 09:12:19 UTC
I'm using Apache 2.2.11 with the worker mpm.

Apache always seems to initialize it's modules twice, but when I compile mod_jk statically this seems to cause problems for mod_jk:

[info] init_jk::mod_jk.c (3018): mod_jk/1.2.27 initialized
[warn] init_jk::mod_jk.c (2991): The optimal shared memory size can now be determined automatically.
[warn] init_jk::mod_jk.c (2993): You can remove the JkShmSize directive if you want to use the optimal size.
[info] init_jk::mod_jk.c (3018): mod_jk/1.2.27 initialized


If I compile mod_jk as a module the warning does not appear. It seems mod_jk can't tell if it has been initialized already so this can cause problems elsewhere.
Comment 1 Mladen Turk 2009-12-21 00:03:48 UTC
Fixed in the SVN.
Comment 2 Rainer Jung 2010-02-23 02:47:42 UTC
Will be part of 1.2.29.